#version 330


layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;

const vec2 s1 = vec2(-.5, .5);
const vec2 s2 = vec2( .5, .5);
const vec2 s3 = vec2( .5,-.5);
const vec2 s4 = vec2(-.5,-.5);

out vec2 fsUL;
out vec2 fsUR;
out vec2 fsLL;
out vec2 fsLR;

void main()
{
    gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);
    fsUL = vsTexture+s1;
    fsUR = vsTexture+s2;
    fsLL = vsTexture+s3;
    fsLR = vsTexture+s4;
}
